WP6StylesListener Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WP6StylesListener Class Reference

`#include <WP6StylesListener.h>`

Inheritance diagram for WP6StylesListener:

## Public Member Functions
| WP6StylesListener (std::list< WPXPageSpan > &pageList, WPXTableList tableList)
void | setDate (const unsigned short, const unsigned short, const unsigned char, const unsigned char, const unsigned char, const unsigned char, const unsigned char, const unsigned char, const unsigned char, const unsigned char) override
void | setExtendedInformation (const unsigned short, const librevenge::RVNGString &) override
void | startDocument () override
void | startSubDocument () override
void | setAlignmentCharacter (const unsigned) override
void | setLeaderCharacter (const unsigned, const unsigned char) override
void | defineTabStops (const bool, const std::vector< WPXTabStop > &, const std::vector< bool > &) override
void | insertCharacter (unsigned) override
void | insertTab (const unsigned char, double) override
void | handleLineBreak () override
void | insertEOL () override
void | insertBreak (const unsigned char breakType) override
void | characterColorChange (const unsigned char, const unsigned char, const unsigned char) override
void | characterShadingChange (const unsigned char) override
void | highlightChange (const bool, const RGBSColor &) override
void | fontChange (const unsigned short, const unsigned short, const librevenge::RVNGString &) override
void | attributeChange (const bool, const unsigned char) override
void | lineSpacingChange (const double) override
void | spacingAfterParagraphChange (const double, const double) override
void | justificationChange (const unsigned char) override
void | pageNumberingChange (const WPXPageNumberPosition, const unsigned short, const unsigned short) override
void | pageMarginChange (const unsigned char side, const unsigned short margin) override
void | pageFormChange (const unsigned short length, const unsigned short width, const WPXFormOrientation orientation) override
void | marginChange (const unsigned char side, const unsigned short margin) override
void | paragraphMarginChange (const unsigned char, const signed short) override
void | indentFirstLineChange (const signed short) override
void | columnChange (const WPXTextColumnType, const unsigned char, const std::vector< double > &, const std::vector< bool > &) override
void | updateOutlineDefinition (const unsigned short, const unsigned char *, const unsigned char) override
void | paragraphNumberOn (const unsigned short, const unsigned char, const unsigned char) override
void | paragraphNumberOff () override
void | displayNumberReferenceGroupOn (const unsigned char, const unsigned char) override
void | displayNumberReferenceGroupOff (const unsigned char) override
void | styleGroupOn (const unsigned char) override
void | styleGroupOff (const unsigned char) override
void | globalOn (const unsigned char) override
void | globalOff () override
void | noteOn (const unsigned short textPID) override
void | noteOff (const WPXNoteType) override
void | headerFooterGroup (const unsigned char headerFooterType, const unsigned char occurrenceBits, const unsigned short textPID) override
void | suppressPageCharacteristics (const unsigned char suppressCode) override
void | setPageNumber (const unsigned short pageNumber) override
void | setPageNumberingType (const WPXNumberingType pageNumberingType) override
void | endDocument () override
void | endSubDocument () override
void | defineTable (const unsigned char position, const unsigned short leftOffset) override
void | addTableColumnDefinition (const unsigned, const unsigned, const unsigned, const unsigned, const unsigned char) override
void | startTable () override
void | insertRow (const unsigned short rowHeight, const bool isMinimumHeight, const bool isHeaderRow) override
void | insertCell (const unsigned char colSpan, const unsigned char rowSpan, const unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment, const bool useCellAttributes, const unsigned cellAttributes) override
void | endTable () override
void | boxOn (const unsigned char, const unsigned char, const unsigned char, const signed short, const unsigned char, const unsigned char, const unsigned char, const signed short, const unsigned char, const unsigned short, const unsigned char, const unsigned short, const unsigned char, const unsigned short, const unsigned short, const librevenge::RVNGString &) override
void | boxOff () override
void | insertGraphicsData (const unsigned short) override
void | insertTextBox (const WP6SubDocument *subDocument) override
void | commentAnnotation (const unsigned short textPID) override
void | undoChange (const unsigned char undoType, const unsigned short undoLevel) override
Public Member Functions inherited from WP6Listener
| WP6Listener ()
virtual | ~WP6Listener ()
void | setPrefixData (WP6PrefixData *prefixData)
const WP6PrefixDataPacket * | getPrefixDataPacket (const int prefixID) const
librevenge::RVNGString | getFontNameForPID (const int prefixID) const

## Protected Member Functions
void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, int nextTableIndice=0)
void | _flushText ()
void | _changeList ()
Protected Member Functions inherited from WPXStylesListener
| WPXStylesListener (std::list< WPXPageSpan > &pageList)
| ~WPXStylesListener () override
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Private Member Functions
| WP6StylesListener (const WP6StylesListener &)
WP6StylesListener & | operator= (const WP6StylesListener &)

## Private Attributes
WPXPageSpan | m_currentPage
WPXTableList | m_tableList
std::shared_ptr< WPXTable > | m_currentTable
double | m_tempMarginLeft
double | m_tempMarginRight
bool | m_currentPageHasContent
bool | m_isTableDefined
bool | m_isSubDocument
std::set< const WPXSubDocument * > | m_subDocuments
std::list< WPXPageSpan >::iterator | m_pageListHardPageMark

## Additional Inherited Members
Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

## ◆ WP6StylesListener() [1/2]

WP6StylesListener::WP6StylesListener | ( | std::list< WPXPageSpan > & | pageList,
|  | WPXTableList | tableList
| ) |  |

## ◆ WP6StylesListener() [2/2]

WP6StylesListener::WP6StylesListener | ( | const WP6StylesListener & |  | ) |
| private

## Member Function Documentation

## ◆ _changeList()

void WP6StylesListener::_changeList | ( |  | ) |
| inlineprotected

## ◆ _flushText()

void WP6StylesListener::_flushText | ( |  | ) |
| inlineprotected

## ◆ _handleSubDocument()

void WP6StylesListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | int | nextTableIndice = `0`
| ) |  |
| protected

Referenced by commentAnnotation(), headerFooterGroup(), insertTextBox(), and noteOn().

## ◆ addTableColumnDefinition()

void WP6StylesListener::addTableColumnDefinition | ( | const unsigned | ,
|  | const unsigned | ,
|  | const unsigned | ,
|  | const unsigned | ,
|  | const unsigned char |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ attributeChange()

void WP6StylesListener::attributeChange | ( | const bool | ,
|  | const unsigned char |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ boxOff()

void WP6StylesListener::boxOff | ( |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ boxOn()

void WP6StylesListener::boxOn | ( | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const signed short | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const signed short | ,
|  | const unsigned char | ,
|  | const unsigned short | ,
|  | const unsigned char | ,
|  | const unsigned short | ,
|  | const unsigned char | ,
|  | const unsigned short | ,
|  | const unsigned short | ,
|  | const librevenge::RVNGString & |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ characterColorChange()

void WP6StylesListener::characterColorChange | ( | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ characterShadingChange()

void WP6StylesListener::characterShadingChange | ( | const unsigned char |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ columnChange()

void WP6StylesListener::columnChange | ( | const WPXTextColumnType | ,
|  | const unsigned char | ,
|  | const std::vector< double > & | ,
|  | const std::vector< bool > & |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ commentAnnotation()

void WP6StylesListener::commentAnnotation | ( | const unsigned short | textPID | ) |
| overridevirtual

Implements WP6Listener.

## ◆ defineTable()

void WP6StylesListener::defineTable | ( | const unsigned char | position,
|  | const unsigned short | leftOffset
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ defineTabStops()

void WP6StylesListener::defineTabStops | ( | const bool | ,
|  | const std::vector< WPXTabStop > & | ,
|  | const std::vector< bool > & |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ displayNumberReferenceGroupOff()

void WP6StylesListener::displayNumberReferenceGroupOff | ( | const unsigned char |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ displayNumberReferenceGroupOn()

void WP6StylesListener::displayNumberReferenceGroupOn | ( | const unsigned char | ,
|  | const unsigned char |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ endDocument()

void WP6StylesListener::endDocument | ( |  | ) |
| overridevirtual

Implements WP6Listener.

## ◆ endSubDocument()

void WP6StylesListener::endSubDocument | ( |  | ) |
| overridevirtual

Implements WP6Listener.

Referenced by WP6Parser::parseSubDocument().

## ◆ endTable()

void WP6StylesListener::endTable | ( |  | ) |
| overridevirtual

Implements WP6Listener.

Referenced by _handleSubDocument().

## ◆ fontChange()

void WP6StylesListener::fontChange | ( | const unsigned short | ,
|  | const unsigned short | ,
|  | const librevenge::RVNGString & |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ globalOff()

void WP6StylesListener::globalOff | ( |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ globalOn()

void WP6StylesListener::globalOn | ( | const unsigned char |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ handleLineBreak()

void WP6StylesListener::handleLineBreak | ( |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ headerFooterGroup()

void WP6StylesListener::headerFooterGroup | ( | const unsigned char | headerFooterType,
|  | const unsigned char | occurrenceBits,
|  | const unsigned short | textPID
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ highlightChange()

void WP6StylesListener::highlightChange | ( | const bool | ,
|  | const RGBSColor & |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ indentFirstLineChange()

void WP6StylesListener::indentFirstLineChange | ( | const signed short |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ insertBreak()

void WP6StylesListener::insertBreak | ( | const unsigned char | breakType | ) |
| overridevirtual

Implements WP6Listener.

Referenced by endDocument(), and endSubDocument().

## ◆ insertCell()

void WP6StylesListener::insertCell | ( | const unsigned char | colSpan,
|  | const unsigned char | rowSpan,
|  | const unsigned char | borderBits,
|  | const RGBSColor * | cellFgColor,
|  | const RGBSColor * | cellBgColor,
|  | const RGBSColor * | cellBorderColor,
|  | const WPXVerticalAlignment | cellVerticalAlignment,
|  | const bool | useCellAttributes,
|  | const unsigned | cellAttributes
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ insertCharacter()

void WP6StylesListener::insertCharacter | ( | unsigned |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ insertEOL()

void WP6StylesListener::insertEOL | ( |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ insertGraphicsData()

void WP6StylesListener::insertGraphicsData | ( | const unsigned short |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ insertRow()

void WP6StylesListener::insertRow | ( | const unsigned short | rowHeight,
|  | const bool | isMinimumHeight,
|  | const bool | isHeaderRow
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ insertTab()

void WP6StylesListener::insertTab | ( | const unsigned char | ,
|  | double |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ insertTextBox()

void WP6StylesListener::insertTextBox | ( | const WP6SubDocument * | subDocument | ) |
| overridevirtual

Implements WP6Listener.

## ◆ justificationChange()

void WP6StylesListener::justificationChange | ( | const unsigned char |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ lineSpacingChange()

void WP6StylesListener::lineSpacingChange | ( | const double |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ marginChange()

void WP6StylesListener::marginChange | ( | const unsigned char | side,
|  | const unsigned short | margin
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ noteOff()

void WP6StylesListener::noteOff | ( | const WPXNoteType |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ noteOn()

void WP6StylesListener::noteOn | ( | const unsigned short | textPID | ) |
| overridevirtual

Implements WP6Listener.

## ◆ operator=()

WP6StylesListener& WP6StylesListener::operator= | ( | const WP6StylesListener & |  | ) |
| private

## ◆ pageFormChange()

void WP6StylesListener::pageFormChange | ( | const unsigned short | length,
|  | const unsigned short | width,
|  | const WPXFormOrientation | orientation
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ pageMarginChange()

void WP6StylesListener::pageMarginChange | ( | const unsigned char | side,
|  | const unsigned short | margin
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ pageNumberingChange()

void WP6StylesListener::pageNumberingChange | ( | const WPXPageNumberPosition | pageNumberingPosition,
|  | const unsigned short | pageNumberFontPointSize,
|  | const unsigned short | pageNumberFontPID
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ paragraphMarginChange()

void WP6StylesListener::paragraphMarginChange | ( | const unsigned char | ,
|  | const signed short |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ paragraphNumberOff()

void WP6StylesListener::paragraphNumberOff | ( |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ paragraphNumberOn()

void WP6StylesListener::paragraphNumberOn | ( | const unsigned short | ,
|  | const unsigned char | ,
|  | const unsigned char |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ setAlignmentCharacter()

void WP6StylesListener::setAlignmentCharacter | ( | const unsigned |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ setDate()

void WP6StylesListener::setDate | ( | const unsigned short | ,
|  | const unsigned short | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned char |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ setExtendedInformation()

void WP6StylesListener::setExtendedInformation | ( | const unsigned short | ,
|  | const librevenge::RVNGString & |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ setLeaderCharacter()

void WP6StylesListener::setLeaderCharacter | ( | const unsigned | ,
|  | const unsigned char |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ setPageNumber()

void WP6StylesListener::setPageNumber | ( | const unsigned short | pageNumber | ) |
| overridevirtual

Implements WP6Listener.

## ◆ setPageNumberingType()

void WP6StylesListener::setPageNumberingType | ( | const WPXNumberingType | pageNumberingType | ) |
| overridevirtual

Implements WP6Listener.

## ◆ spacingAfterParagraphChange()

void WP6StylesListener::spacingAfterParagraphChange | ( | const double | ,
|  | const double |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ startDocument()

void WP6StylesListener::startDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ startSubDocument()

void WP6StylesListener::startSubDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

Referenced by WP6Parser::parseSubDocument().

## ◆ startTable()

void WP6StylesListener::startTable | ( |  | ) |
| overridevirtual

Implements WP6Listener.

## ◆ styleGroupOff()

void WP6StylesListener::styleGroupOff | ( | const unsigned char |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ styleGroupOn()

void WP6StylesListener::styleGroupOn | ( | const unsigned char |  | ) |
| inlineoverridevirtual

Implements WP6Listener.

## ◆ suppressPageCharacteristics()

void WP6StylesListener::suppressPageCharacteristics | ( | const unsigned char | suppressCode | ) |
| overridevirtual

Implements WP6Listener.

## ◆ undoChange()

void WP6StylesListener::undoChange | ( | const unsigned char | undoType,
|  | const unsigned short | undoLevel
| ) |  |
| overridevirtual

Implements WP6Listener.

## ◆ updateOutlineDefinition()

void WP6StylesListener::updateOutlineDefinition | ( | const unsigned short | ,
|  | const unsigned char * | ,
|  | const unsigned char |
| ) |  |
| inlineoverridevirtual

Implements WP6Listener.

## Member Data Documentation

## ◆ m_currentPage

WPXPageSpan WP6StylesListener::m_currentPage
| private

Referenced by headerFooterGroup(), insertBreak(), marginChange(), pageFormChange(), pageMarginChange(), pageNumberingChange(), setPageNumber(), setPageNumberingType(), and suppressPageCharacteristics().

## ◆ m_currentPageHasContent

bool WP6StylesListener::m_currentPageHasContent
| private

Referenced by _handleSubDocument(), commentAnnotation(), defineTable(), displayNumberReferenceGroupOff(), handleLineBreak(), headerFooterGroup(), insertBreak(), insertCell(), insertCharacter(), insertEOL(), insertRow(), insertTab(), insertTextBox(), marginChange(), noteOn(), pageFormChange(), paragraphNumberOff(), and startTable().

## ◆ m_currentTable

std::shared_ptr<WPXTable> WP6StylesListener::m_currentTable
| private

Referenced by _handleSubDocument(), defineTable(), endTable(), insertCell(), insertRow(), and startTable().

## ◆ m_isSubDocument

bool WP6StylesListener::m_isSubDocument
| private

Referenced by _handleSubDocument(), insertBreak(), and marginChange().

## ◆ m_isTableDefined

bool WP6StylesListener::m_isTableDefined
| private

Referenced by defineTable(), endTable(), and startTable().

## ◆ m_pageListHardPageMark

std::list<WPXPageSpan>::iterator WP6StylesListener::m_pageListHardPageMark
| private

Referenced by insertBreak(), and marginChange().

## ◆ m_subDocuments

std::set<const WPXSubDocument *> WP6StylesListener::m_subDocuments
| private

Referenced by _handleSubDocument().

## ◆ m_tableList

WPXTableList WP6StylesListener::m_tableList
| private

Referenced by _handleSubDocument(), commentAnnotation(), defineTable(), insertTextBox(), noteOn(), and startTable().

## ◆ m_tempMarginLeft

double WP6StylesListener::m_tempMarginLeft
| private

Referenced by insertBreak(), and marginChange().

## ◆ m_tempMarginRight

double WP6StylesListener::m_tempMarginRight
| private

Referenced by insertBreak(), and marginChange().

The documentation for this class was generated from the following files:

- WP6StylesListener.h
- WP6StylesListener.cpp